<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="tn.iac.findmyfriends"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-sdk
        android:minSdkVersion="15"
        android:targetSdkVersion="21" />

    <permission
        android:name="org.iac.gmaps.permission.MAPS_RECEIVE"
        android:protectionLevel="signature" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
	<uses-permission android:name="android.permission.VIBRATE" />
    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />

    <application
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >

        <!-- API Key -->
        <meta-data
            android:name="com.google.android.maps.v2.API_KEY"
            android:value="@string/API_KEY" />
        <!-- Version of google play services -->
        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version" />

        <activity
            android:name=".activities.SplashActivity"
            android:label="@string/app_name"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".activities.HomeActivity"
            android:label="@string/app_name" >
        </activity>
        <activity
            android:name=".augmented_reality.activity.Demo"
            android:label="@string/app_name"
            android:screenOrientation="landscape"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen" >
        </activity>
        <activity
            android:name=".activities.AboutActivity"
            android:label="@string/app_name" >
        </activity>
        <activity
            android:name=".activities.ContactActivity"
            android:label="@string/app_name" >
        </activity>
        <activity
            android:name=".activities.SignUpActivity"
            android:label="@string/app_name" >
        </activity>
        <activity
            android:name=".activities.SignInActivity"
            android:label="@string/app_name" >
        </activity>
        <activity
            android:name=".activities.AddFriendActivity"
            android:label="@string/title_activity_add_friend" >
        </activity>
        <activity
            android:name=".activities.MapActivity"
            android:label="@string/title_activity_add_friend" >
        </activity>
        <activity
            android:name=".activities.ProfileActivity"
            android:label="@string/title_activity_profile" >
        </activity>

        <service
            android:name=".cron.MyAlarmService"
            android:enabled="true" />

        <receiver android:name=".cron.MyReceiver" />

        <service
            android:name=".cron.MyCoordinatesService"
            android:enabled="true" />

        <receiver android:name=".cron.MyReceiverCoordinates" />

        <service
            android:name=".cron.CoordinatesFriendsService"
            android:enabled="true" />

        <receiver android:name=".cron.ReceiverFriendsCoordinates" />

    </application>

</manifest>